## SnapdPlugRef SnapdPlugRef — Reference to a plug |

## Functions

const gchar * | snapd_plug_ref_get_plug ()
const gchar * | snapd_plug_ref_get_snap ()

## Properties

char * | plug | Read / Write / Construct Only
char * | snap | Read / Write / Construct Only

## Types and Values

| SnapdPlugRef

## Object Hierarchy

        GObject
        ╰── SnapdPlugRef

## Includes

    #include <snapd-glib/snapd-glib.h>

## Description

A SnapdPlugRef contains a reference to a plug.

## Functions

### snapd_plug_ref_get_plug ()

    const gchar *
    snapd_plug_ref_get_plug (SnapdPlugRef *plug_ref);

Get the name of the plug.

#### Parameters

plug_ref | a SnapdPlugRef. |

#### Returns

a name.

Since: 1.48

### snapd_plug_ref_get_snap ()

    const gchar *
    snapd_plug_ref_get_snap (SnapdPlugRef *plug_ref);

Get the snap this plug is on.

#### Parameters

plug_ref | a SnapdPlugRef. |

#### Returns

a snap name.

Since: 1.48

## Types and Values

### SnapdPlugRef

    typedef struct _SnapdPlugRef SnapdPlugRef;

SnapdPlugRef contains the state of Snap a interface plug_ref.

Since: 1.0

## Property Details

### The `“plug”` property

      “plug”                     char *

Name of plug.

Owner: SnapdPlugRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“snap”` property

      “snap”                     char *

Snap this plug is on.

Owner: SnapdPlugRef

Flags: Read / Write / Construct Only

Default value: NULL